# Text

This field type renders a text field.

### Parameters

* **placeholder** - text that describes the expected value;
* **min\_length** - the minimum allowed text length;
* **max\_length** - the maximum allowed text length;
* **pattern** - [regular expression](https://www.php.net/manual/en/function.preg-match.php) to restrict the allowed text;
* **html** - set to `true` to allow HTML or provide an [array of tags](https://developer.wordpress.org/reference/functions/wp_kses/);
* **readonly** - set to `true` to disallow changing the field value.

### Example

The code below renders a required text field with the `custom_field` name, "Custom field" label and "Custom text" placeholder. The minimum allowed text length is 10 characters.

```php
echo ( new HivePress\Fields\Text(
	[
		'name'        => 'custom_field',
		'label'       => 'Custom field',
		'placeholder' => 'Custom text',
		'min_length'  => 10,
		'required'    => true,
	]
) )->render();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/fields/text.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
